from argparse import ArgumentParser

from creator import create_post_image
from enums import LANGUAGE_COLORS

parser = ArgumentParser(
    prog="imgen",
    description="App for creating post images",
)

parser.add_argument("-fi", "--foreground-image")
parser.add_argument("-l", "--language", choices=LANGUAGE_COLORS.keys())

args = parser.parse_args()
print(args.foreground_image)

result = create_post_image(args.foreground_image, args.language)
result.show()
